> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Cancel multiple jobs simultaneously.

# Cancel jobs

Cancel multiple [jobs](/user-manual/glossary#job) simultaneously by providing a list of job UUIDs. This is useful for batch operations when you need to stop several queued or running jobs at once.


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs PUT /jobs/status/cancel
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /jobs/status/cancel:
    put:
      operationId: CancelJobs
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JobsBulkOperationRequest'
      responses:
        '200':
          description: Successfully canceled a list of jobs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobsCanceledResponse'
        '429':
          description: >-
            Too Many Requests. To get a higher rate limit, please reach out to
            support@ionq.co
        '500':
          description: >-
            A generic server failure, please reach out to support@ionq.co for
            help with this error
        '502':
          description: >-
            Bad Gateway, this can be caused by misbehaving proxies, or by
            service issues. These can be retried, and downtime can be found on
            status.ionq.co
        '503':
          description: >-
            Service Unavailable, this is indicative of service outage, please
            check status.ionq.co
      security:
        - apiKeyAuth: []
      x-codeSamples:
        - lang: curl
          source: |
            curl -X PUT "https://api.ionq.co/v0.4/jobs/status/cancel" \
              -H "Authorization: apiKey your-api-key" \
              -H "Content-Type: application/json" \
              -d '{
                    "ids": [
                        "617a1f8b-59d4-435d-aa33-695433d7155e",
                        "2ccf2773-4c28-468e-a290-2f8554808a25",
                        "f92df2b6-d212-4f4a-b9ea-024b58c5c3e8"
                    ]
                }'
components:
  schemas:
    JobsBulkOperationRequest:
      properties:
        ids:
          items:
            type: string
          type: array
      required:
        - ids
      type: object
      additionalProperties: false
    JobsCanceledResponse:
      properties:
        ids:
          items:
            type: string
          type: array
          example:
            - 617a1f8b-59d4-435d-aa33-695433d7155e
            - 617a1f8b-59d4-435d-aa33-695433d7155f
        status:
          type: string
          enum:
            - canceled
          nullable: false
      required:
        - ids
        - status
      type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      description: >-
        API keys are associated with a user and can be created on the [IonQ
        Quantum Cloud](https://cloud.ionq.com) application. To authenticate,
        prefix your API Key with `apiKey ` and place it in the `Authorization`
        request header. Ex: `Authorization: apiKey your-api-key`
      in: header
      name: Authorization
      type: apiKey

````